﻿@model StarterProjectV2.ViewModels.OwnersInfoView
@{
    ViewBag.Title = "SinglePageOwnersInfo";
}
@section PAGETITLE{
    Owner's Info in a Single Page
}


<h2 class="text-center mb-5" style="color: indianred">Single Page Owner's Information</h2>
<h3 class="text-center mb-5" style="color: indianred">Admin Comment: @Model.AdminComment</h3>

<body style="background-color: oldlace">
    <div>
        @*<input type="text" name="txtSearch" value="" class="form-control" id="txtSearch" placeholder="SlotId" />
            <button type="button" id="txtSearchBtn">Search</button>*@
        <ul class="nav nav-tabs" id="myTab" role="tablist">
            <li class="nav-item">
                <a class="nav-link active" id="tab-1" data-toggle="tab" href="#1" role="tab" aria-controls="home" aria-selected="true">Basic Information</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="tab-2" data-toggle="tab" href="#2" role="tab" aria-controls="profile" aria-selected="false">Reservation Details</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="tab-3" data-toggle="tab" href="#3" role="tab" aria-controls="contact" aria-selected="false">Profit Information</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="tab-4" data-toggle="tab" href="#4" role="tab" aria-controls="contact" aria-selected="false">User Log</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="tab-5" data-toggle="tab" href="#5" role="tab" aria-controls="contact" aria-selected="false">Ledger</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="tab-LedgerSummary" data-toggle="tab" href="#LedgerSummary" role="tab" aria-controls="contact" aria-selected="false">Summary</a>
            </li>
        </ul>
        <div class="tab-content" id="myTabContent">
            <div class="tab-pane fade show active" id="1" role="tabpanel" aria-labelledby="home-tab">

                @if (Model.IsDataPresent == true)
                {

                    var time_profile = "?" + DateTime.Now.ToString("h:mm:ss tt");
                    var ownPicturePath = "~/upload/" + Model.SlotId + ".jpg";
                    @*<div align="center" class="mb-3">
                            <img id="TIN-pic" src="@Url.Content(ownPicturePath+ time_profile)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror = null;this.src = 'https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                        </div>*@
                    <div class="form-group row py-3">
                        <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input"> Name</label>
                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                @Html.DisplayFor(m => m.Name)
                            </p>

                        </div>
                        <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Slot Id</label>
                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                @Html.DisplayFor(m => m.SlotId)
                            </p>
                        </div>
                    </div>
                    <div class="form-group row py-3">
                        <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">
                            Father's Name
                        </label>
                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                @Html.DisplayFor(m => m.FathersName)
                            </p>

                        </div>
                        <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">NID</label>
                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                @Html.DisplayFor(m => m.NID)
                            </p>
                        </div>
                    </div>
                    <div class="form-group row py-3">
                        <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Email</label>
                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                @Html.DisplayFor(m => m.Email)
                            </p>

                        </div>
                        <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">SalesDate</label>
                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                @Html.DisplayFor(m => m.SalesDate)
                            </p>
                        </div>
                    </div>


                }
            </div>

            <div class="tab-pane fade" id="2" role="tabpanel" aria-labelledby="profile-tab">
                <div class="accordion" id="accordionExample">

                    <div class="card mb-0">
                        <div class="card-header" id="headingOne">
                            <h2 class="mb-0">
                                <button class="btn btn-link" type="button" id="FutureReservation" data-toggle="collapse" data-target="#collapseOne"
                                        aria-expanded="true" aria-controls="collapseOne" onclick="getFutureReservation();">
                                    Future Reservation

                                </button>
                            </h2>
                        </div>
                        <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
                            <div class="card-body">

                                <div class="table-responsive-lg">
                                    <div id="gridReservation"></div>


                                </div>
                            </div>
                        </div>
                        <div class="card mb-0">
                            <div class="card-header" id="headingTwo">
                                <h2 class="mb-0">
                                    <button class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo"
                                            aria-expanded="true" aria-controls="collapseTwo" onclick="ReservationHistory();">
                                        Reservation History
                                    </button>
                                </h2>
                            </div>
                            <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
                                <div class="card-body">
                                    <div class="table-responsive-lg">
                                        <div id="gridHistory"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="tab-pane fade" id="3" role="tabpanel" aria-labelledby="contact-tab">
                <div class="table-responsive-lg">
                    @if (Model.IsDataPresent == true)
                    {
                        <div id="gridProfit"></div>
                    }
                </div>
            </div>
            <div class="tab-pane fade" id="4" role="tabpanel" aria-labelledby="contact-tab">
                <div class="table-responsive-lg">
                    @if (Model.IsDataPresent == true)
                    {
                        <div id="gridUserLog"></div>
                    }
                </div>
            </div>
            <div class="tab-pane fade" id="5" role="tabpanel" aria-labelledby="contact-tab">
                <div class="table-responsive-lg">
                    @{ Html.RenderPartial("_Ledger", Model.LedgerViewModel); }
                </div>
            </div>
            <div class="tab-pane fade" id="LedgerSummary" role="tabpanel" aria-labelledby="contact-tab">
                <div class="table-responsive-lg">
                    <div id="gridLedgerSummary">
                        @{ Html.RenderPartial("_LedgerSummary", Model.LedgerViewModel); }
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

<script>
    $('ReservationHistory').click(function () {
        ReservationHistory();
    });

    function ReservationHistory() {


        $.ajax({
            url: '../OwnersInfo/_ReservationHistory?slotId=' + '@Model.SlotId',
            datatype: 'html',
            method: 'GET',
            //data: { searchText: $('#txtSearch').val() },
            success: function (res) {

                $('#gridHistory').html('').html(res);
            },
            error: function (err) {
                //alert("Error");
                console.log(err);
            }
        })
    }
</script>

<script>
    $('FutureReservation').click(function () {

    });

    function getFutureReservation() {

        $.ajax({
            url: '../OwnersInfo/_FutureReservation?slotId=' + '@Model.SlotId',
            datatype: 'html',
            method: 'GET',
            //data: { searchText: $('#txtSearch').val() },
            success: function (res) {
                $('#gridReservation').html('').html(res);
            },
            error: function (err) {
                //alert("Error");
                console.log(err);
            }
        })
    }
</script>

<script>
    $('#tab-4').click(function () {
        getUsers();
    });

    function getUsers() {

        //check whether
        $.ajax({
            url: '../OwnersInfo/_UserLog?slotId=' + '@Model.SlotId',
            datatype: 'html',
            method: 'GET',
            //data: { searchText: $('#txtSearch').val() },
            success: function (res) {
                $('#gridUserLog').html('').html(res);
            },
            error: function (err) {
                console.log(err);
            }
        })
    }
</script>

<script>
    $('#tab-3').click(function () {
        getProfit();
    });

    function getProfit() {
        //alert("fhffgug");
        //check whether
        $.ajax({
            url: '../OwnersInfo/_ProfitCalculation?slotId=' + '@Model.SlotId',
            datatype: 'html',
            method: 'GET',
            //data: { searchText: $('#txtSearch').val() },
            success: function (res) {
                $('#gridProfit').html('').html(res);
            },
            error: function (err) {
                console.log(err);
            }
        })
    }
</script>

<script>
    $(document).ready(function () {
        $(document).ready(function () {
            $("#newItem").remove();
            $("#editItem").remove();
            $("#saveItem").remove();
            $("#deleteItem").remove();
            $('#printItem').click(function () {
                window.print();
            });

            $('#reloadItem').click(function () {
                location.reload();
            });
            $("#reportItem").remove();
            $("#dashboardItem").click(function () {
            });


        });
    });
</script>
